Create a message template
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_*)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/whatsapp/templates" \ -H "Content-Type: application/json" \ -d '{ "account_id": "string", "name": "string", "language": "string", "category": "MARKETING", "components": [ { "type": "HEADER" } ] }'{ "name": "string", "language": "string", "status": "APPROVED", "category": "MARKETING", "components": [ { "type": "HEADER", "text": "string", "format": "string", "buttons": [ { "type": "string", "text": "string", "url": "string", "phone_number": "string" } ] } ]}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.